--- title: "get-box-infra-history" slug: "get-box-infra-history" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/get-box-infra-history" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-box-infra-history Available in VPC Get box infrastructure history. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/box/get-box-infra-history | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `boxId` | Integer | Required | Box number - See [get-box-list](/docs/en/get-box-list). | | `page` | Integer | Optional | Page number - 0-100 (default: 0) | | `size` | Integer | Optional | Number of items per page - 1-100 (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/box/get-box-infra-history?fenceId=26&boxId=74&page=1&size=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Number of response results | | `content` | Array | - | Box infrastructure history list: [content](/docs/en/get-box-infra-history#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `infraType` | String | - | Infrastructure type - `Connect Server` - `TensorFlow Server(CPU)` - `TensorFlow Server(GPU)` - `Linux Server(Ubuntu)` - `Hadoop` - `NAS` - `Block Storage` | | `instanceNo` | Integer | - | Infrastructure instance number | | `instanceName` | String | - | Infrastructure instance name | | `statusCode` | String | - | Box status code - `INITIALIZE` \| `USE` \| `ING` \| `RETURN` \| `TERMINATE` - `INITIALIZE`: creating infrastructure - `USE`: in use - `ING`: changing - `RETURN`: terminating - `TERMINATE`: termination completed | | `statusName` | String | - | Box status name - `Creating infrastructure` \| `In use` \| `Changing` \| `Terminating` \| `Termination completed` | | `createDate` | String | - | Box creation date and time - ISO 8601 format (including UTC+9) | | `endDate` | String | - | Box termination date and time - ISO 8601 format (including UTC+9) | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 10, "content": [ { "infraType": "Connect Server", "instanceNo": *********, "instanceName": "conn-XX-YYY-1", "createDate": "2025-01-09T13:51:10+09:00", "statusCode": "USE", "statusName": "In use" }, { "infraType": "Connect Server", "instanceNo": *********, "instanceName": "conn-XX-YYY-2", "createDate": "2025-02-25T19:13:04+09:00", "endDate": "2025-03-06T23:32:50+09:00", "statusCode": "TERMINATE", "statusName": "Termination completed" }, { "infraType": "Linux Server(Ubuntu)", "instanceNo": *********, "instanceName": "svrlnx-XX-YYY-1", "createDate": "2025-01-09T13:51:10+09:00", "endDate": "2025-03-06T23:34:50+09:00", "statusCode": "TERMINATE", "statusName": "Termination completed" }, { "infraType": "Linux Server(Ubuntu)", "instanceNo": *********, "instanceName": "svrlnx-XX-YYY-2", "createDate": "2025-02-11T17:24:13+09:00", "endDate": "2025-02-11T17:49:40+09:00", "statusCode": "TERMINATE", "statusName": "Termination completed" }, { "infraType": "Linux Server(Ubuntu)", "instanceNo": *********, "instanceName": "svrlnx-XX-YYY-3", "createDate": "2025-03-06T19:30:08+09:00", "statusCode": "USE", "statusName": "In use" }, { "infraType": "TensorFlow Server(CPU)", "instanceNo": *********, "instanceName": "tfcpu-XX-YYY-1", "createDate": "2025-03-14T13:53:19+09:00", "statusCode": "USE", "statusName": "In use" }, { "infraType": "NAS", "instanceNo": *********, "instanceName": "YYYbox1", "createDate": "2025-01-09T13:51:10+09:00", "statusCode": "USE", "statusName": "In use" }, { "infraType": "Hadoop", "instanceNo": *********, "instanceName": "hd-XX-YYY-1", "createDate": "2025-02-18T11:48:25+09:00", "endDate": "2025-02-19T10:13:50+09:00", "statusCode": "TERMINATE", "statusName": "Termination completed" }, { "infraType": "Hadoop", "instanceNo": *********, "instanceName": "hd-XX-YYY-2", "createDate": "2025-02-19T10:09:18+09:00", "endDate": "2025-02-19T17:01:40+09:00", "statusCode": "TERMINATE", "statusName": "Termination completed" }, { "infraType": "Block Storage", "instanceNo": *********, "instanceName": "conn-XX-YYY-1-storage", "createDate": "2025-01-09T13:51:10+09:00", "statusCode": "USE", "statusName": "In use", "serverInstanceNo": 1, "serverInstanceName": "conn-XX-YYY-1" } ] } ```